do
	local prefix = "RPMLoot"
	InitiateTrade(" ")
	success = RegisterAddonMessagePrefix(prefix)
	LH_Root = root:Create(prefix)

	LH_Root.tradeTables = LH_Root.tradeTables or { }


	SLASH_RPMLOOT1 = "/rpmloot"
	function SlashCmdList.RPMLOOT(args)
		local status = LH_Root.enabled
		if args == "" then
			if status == true then
				status = false
				LH_Root.enabled = status
				RPMLoot_Var["enabled"] = status
				ChatFrame1:AddMessage("RPMLoot: Disabled")
			else
				status = true
				LH_Root.enabled = status
				RPMLoot_Var["enabled"] = status
				ChatFrame1:AddMessage("RPMLoot: Enabled")
			end

		elseif args == "off" or args == "Off" or args == "OFF" then
			status = false
			LH_Root.enabled = status
			RPMLoot_Var["enabled"] = status
			ChatFrame1:AddMessage("RPMLoot: Disabled")

		elseif args == "on" or args == "On" or args == "ON" then
			status = true
			LH_Root.enabled = status
			RPMLoot_Var["enabled"] = status
			ChatFrame1:AddMessage("RPMLoot: Enabled")
		end

		if( not status) then
			LH_Root.reroll = false;
			LH_Root.size = 0;
			LH_Root.rolls = { }
			LH_Root.rollType = { }
			LH_Root.winners = { }
			LH_Root.candidates = { }
			LH_Root.itemQueue = { }
			LH_Root.masterLootQueue = { }
			LH_Root.awardLoot = false
		end
	end



	function LH_Root:tradeTablesShow(itemLink)
		local displayed = false
		local count = table.getn(LH_Root.tradeTables)
		if count > 0 then
			for i, j in pairs(LH_Root.tradeTables) do
				if (not j:IsShown()) then
					j:SetInfo(itemLink)
					return
				end
			end
		end
		table.insert(LH_Root.tradeTables, trade:Create(itemLink, count, LH_Root))
	end
	function LH_Root.tradeTablesGetAnchor(frameNum)
		return LH_Root.tradeTables[frameNum].frame.btnRoll
	end
	function LH_Root.tradeTablesStartMoving()
		return LH_Root.tradeTables[1].frame:StartMoving()
	end
	function LH_Root.tradeTablesStopMovingOrSizing()
		return LH_Root.tradeTables[1].frame:StopMovingOrSizing()
	end

	LH_Root.winTables = LH_Root.winTables or { }
	function LH_Root:winTablesShow(player, itemLink, owner, rolled)
		local displayed = false
		local count = table.getn(LH_Root.winTables)
		if count > 0 then
			for i, j in pairs(LH_Root.winTables) do
				if not(j:IsShown()) then
					j:SetInfo(player, itemLink, owner, rolled)
					return
				end
			end
		end
		table.insert(LH_Root.winTables, win:Create(player, itemLink, owner, rolled))
	end

end